Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQTextIStream Class Reference

The TQTextIStream class is a convenience class for input streams. More...

All the functions in this class are reentrant when TQt is built with thread support.

`#include <ntqtextstream.h>`

Inherits TQTextStream.

List of all member functions.

## Public Members

- TQTextIStream ( const TQString * s )
- TQTextIStream ( TQByteArray ba )
- TQTextIStream ( FILE * f )

## Detailed Description

The TQTextIStream class is a convenience class for input streams.

This class provides a shorthand for creating simple input TQTextStreams without having to pass a mode argument to the constructor.

This class makes it easy, for example, to write things like this:

        TQString data = "123 456";
        int a, b;
        TQTextIStream(&data) >> a >> b;

See also TQTextOStream, Input/Output and Networking, and Text Related Classes.

## Member Function Documentation

### TQTextIStream::TQTextIStream ( const TQString * s )

Constructs a stream to read from the string s.

### TQTextIStream::TQTextIStream ( TQByteArray ba )

Constructs a stream to read from the array ba.

### TQTextIStream::TQTextIStream ( FILE * f )

Constructs a stream to read from the file f.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.